## veryfasttree 4.0.1+dfsg

=== debian/changelog ===
veryfasttree (4.0.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix license

 -- Andreas Tille <tille@debian.org>  Thu, 20 Jul 2023 16:43:36 +0200

veryfasttree (4.0.1+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #1038668)

 -- César Pomar <cesaralfredo.pineiro@usc.es>  Tue, 11 Jul 2023 15:53:44 +0200
