=== debian/changelog ===
veryfasttree (4.0.3+dfsg-1) unstable; urgency=medium

  * 32 bits compatible version
  * baseline-specific executables moved out of the path to libexec

 -- César Pomar <cesaralfredo.pineiro@usc.es>  Tue, 12 Sep 2023 20:02:05 +0200
