=== debian/control ===
Source: veryfasttree
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: César Pomar <cesaralfredo.pineiro@usc.es>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libboost-dev,
               libbz2-dev,
               robin-map-dev,
               libxxhash-dev,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: https://github.com/citiususc/veryfasttree
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/med-team/veryfasttree.git
Vcs-Browser: https://salsa.debian.org/med-team/veryfasttree

Package: veryfasttree
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
	 ${shlibs:Depends}
Description: Speeding up the estimation of phylogenetic trees from sequences
 VeryFastTree is a highly efficient implementation inspired by the FastTree-2
 tool, designed to expedite the inference of approximately-maximum-likelihood
 phylogenetic trees from nucleotide or protein sequence alignments. It is an
 optimized implementation designed to accelerate the estimation of phylogenies
 for large alignments. By leveraging parallelization and vectorization
 strategies, VeryFastTree significantly improves the performance and
 scalability of phylogenetic analysis, allowing it to construct phylogenetic
 trees in a fraction of the time previously required.
 .
 Maintaining the integrity of FastTree-2, VeryFastTree retains the same phases,
 methods, and heuristics used for estimating phylogenetic trees. This ensures
 that the topological accuracy of the trees produced by VeryFastTree remains
 equivalent to that of FastTree-2. Moreover, unlike the parallel version of
 FastTree-2, VeryFastTree guarantees deterministic results, eliminating any
 potential variations in the output.
 .
 To facilitate a seamless transition for users, VeryFastTree adopts the exact
 same command line arguments as FastTree-2. This means that by simply
 substituting FastTree-2 with VeryFastTree, and using the same set of options,
 users can significantly enhance the overall performance of their phylogenetic
 analyses.
