## veryfasttree 4.0.4%2Bdfsg

=== debian/changelog ===
veryfasttree (4.0.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.0.4+dfsg
  * d/manpages: use newly introduced manual pages upstream.
  * d/VeryFastTree.1: delete: maintainer manual is now unneeded.
  * d/control: declare compliance to standards version 4.7.0.
  * d/copyright: update upstream copyright years.

 -- Étienne Mollier <emollier@debian.org>  Sat, 02 Nov 2024 17:03:57 +0100
