## veryfasttree 4.0.4+dfsg

=== debian/changelog ===
veryfasttree (4.0.4+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/s/local-options: delete: unused.
  * gcc-15.patch: new: fix build failures with Gcc 15. (Closes: #1098063)
  * d/control: declare compliance to standards version 4.7.2.

 -- Étienne Mollier <emollier@debian.org>  Sun, 06 Apr 2025 17:44:29 +0200
