## veryfasttree 4.0.5+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.5...3.27)
 project(VeryFastTree)
 
 set(CMAKE_CXX_STANDARD 11)
