=== libs/CLI11/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+cmake_minimum_required(VERSION 3.5...3.27)
 project(CLI11)
 
 add_library(CLI11 INTERFACE)
