=== debian/changelog ===
veryfasttree (4.0.5+dfsg-2) unstable; urgency=medium

  * Team upload.
  * robin_map.patch: new: bump to stdc++17.
    This fixes build failure with robin_map 1.4.0. (Closes: #1118378)
  * d/watch: convert to Github template for watch file v5.
  * d/control: drop redundant Rules-Requires-Root: no.

 -- Étienne Mollier <emollier@debian.org>  Fri, 24 Oct 2025 20:37:22 +0200

veryfasttree (4.0.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.0.5+dfsg
  * gcc-15.patch: delete: applied upstream.

 -- Étienne Mollier <emollier@debian.org>  Wed, 13 Aug 2025 21:32:04 +0200
