=== debian/control ===
--- 
+++ 
@@ -10,9 +10,8 @@
                robin-map-dev,
                libxxhash-dev,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/citiususc/veryfasttree
-Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/med-team/veryfasttree.git
 Vcs-Browser: https://salsa.debian.org/med-team/veryfasttree
