=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,8 @@
 
 override_dh_auto_install:
 ifeq (amd64,$(DEB_HOST_ARCH))
-	dh_install build_*/VeryFastTree* /usr/bin/
+	dh_install build_*/VeryFastTree-* /usr/libexec/VeryFastTree/
+	dh_install build_*/VeryFastTree /usr/bin/
 else
 	dh_auto_install
 endif
