=== debian/watch ===
Version: 5

Template: Github
Owner: citiususc
Project: veryfasttree
Dversionmangle: auto
Repacksuffix: +dfsg
